---
title: Win the game
slug: Games/Tutorials/2D_breakout_game_Phaser/Win_the_game
tags:
  - 2D
  - Beginner
  - Canvas
  - Games
  - JavaScript
  - Phaser
  - Tutorial
  - winning
---
<div>{{GamesSidebar}}</div>

<p>{{PreviousNext("Games/Workflows/2D_Breakout_game_Phaser/The_score", "Games/Workflows/2D_Breakout_game_Phaser/Extra_lives")}}</p>

<div class="summary">
<p>This is the <strong>12th step</strong> out of 16 of the <a href="/en-US/docs/Games/Workflows/2D_Breakout_game_Phaser">Gamedev Phaser tutorial</a>. You can find the source code as it should look after completing this lesson at <a href="https://github.com/end3r/Gamedev-Phaser-Content-Kit/blob/gh-pages/demos/lesson12.html">Gamedev-Phaser-Content-Kit/demos/lesson12.html</a>.</p>
</div>

<p><span class="seoSummary">Implementing winning in our game is quite easy: if you happen to destroy all the bricks, then you win.</span></p>

<h2 id="How_to_win">How to win?</h2>

<p>Add the following new code into your <code>ballHitBrick()</code> function:</p>

<pre class="brush: js notranslate">function ballHitBrick(ball, brick) {
    brick.kill();
    score += 10;
    scoreText.setText('Points: '+score);

    var count_alive = 0;
    for (i = 0; i &lt; bricks.children.length; i++) {
      if (bricks.children[i].alive == true) {
        count_alive++;
      }
    }
    if (count_alive == 0) {
      alert('You won the game, congratulations!');
      location.reload();
    }
}
</pre>

<p>We loop through the bricks in the group using <code>bricks.children</code>, checking for the aliveness of each with each brick's <code>.alive() </code>method. If there are no more bricks left alive, then we show a winning message, restarting the game once the alert is dismissed.</p>

<h2 id="Compare_your_code">Compare your code</h2>

<p>You can check the finished code for this lesson in the live demo below, and play with it to understand better how it works:</p>

<p>{{JSFiddleEmbed("https://jsfiddle.net/u8waa4Lx/1/","","400")}}</p>

<h2 id="Next_steps">Next steps</h2>

<p>Both losing and winning are implemented, so the core gameplay of our game is finished. Now let's add something extra — we'll give the player three <a href="/en-US/docs/Games/Workflows/2D_Breakout_game_Phaser/Extra_lives">lives</a> instead of one.</p>

<p>{{PreviousNext("Games/Workflows/2D_Breakout_game_Phaser/The_score", "Games/Workflows/2D_Breakout_game_Phaser/Extra_lives")}}</p>
